Board index FlightGear The FlightGear project News

FlightGear 2.4.0 is released

News from the ever evolving world of FlightGear.

Re: FlightGear 2.4.0 is released

Postby Gijs » Fri Aug 19, 2011 7:59 pm

scighera wrote in Fri Aug 19, 2011 6:20 pm:It seems flawless ... but for a strange continously echoing message on the console:

It's being worked on: http://code.google.com/p/flightgear-bug ... ail?id=410
Airports: EHAM, EHLE, KSFO
Aircraft: 747-400
User avatar
Gijs
Moderator
 
Posts: 9363
Joined: Tue Jul 03, 2007 2:55 pm
Location: Amsterdam/Delft, the Netherlands
Callsign: PH-GYS
Version: Git
OS: Windows 10

Re: FlightGear 2.4.0 is released

Postby scighera » Fri Aug 19, 2011 8:59 pm

Gijs wrote in Fri Aug 19, 2011 7:59 pm:
scighera wrote in Fri Aug 19, 2011 6:20 pm:It seems flawless ... but for a strange continously echoing message on the console:

It's being worked on: http://code.google.com/p/flightgear-bug ... ail?id=410


Thanks for the hint Gijs ...
Callsign: I-SCIG
The hangar: http://digilander.libero.it/scighera_fg/index.html
The "happy motorbiker" - http://web.tiscali.it/kclub
User avatar
scighera
 
Posts: 328
Joined: Thu Nov 19, 2009 8:29 am
Location: LIME-Bergamo-Italy
Callsign: scighera
Version: 2dot6
OS: Windows 7

Re: FlightGear 2.4.0 is released

Postby Blue Bird » Sat Aug 20, 2011 10:15 am

439Tiger wrote in Fri Aug 19, 2011 7:53 pm:
Blue Bird wrote in Fri Aug 19, 2011 2:56 pm:Why was support dropped for Tiger?


I'm not sure if this is for me, but the torrent support is still here: http://torrent.ibiblio.org/torrents/ca93dfbe0e7979a6775b8aab08f5bc16bccd63e3


I meant Mac OS X Tiger. But thanks for the link, anyway! I'm not very good with torrents though. Perhaps enough people are downloading it for it to work?
Blue Bird
 
Posts: 4
Joined: Mon Jun 13, 2011 5:56 pm

Re: FlightGear 2.4.0 is released

Postby Benji » Sat Aug 20, 2011 10:37 am

Hi everyone :)
I installed the version 2.4.0... but I have a little problem :D The urban effect doen't work :( :( and I think the animated jetways too. I checked it in "rendering options"...

Thanks in advance,
Benjamin.
Benji
 
Posts: 64
Joined: Mon Mar 14, 2011 4:51 pm
Location: LFAD
Callsign: BENJI
Version: 280
OS: Windows Vista

Re: FlightGear 2.4.0 is released

Postby Icecode GL » Sat Aug 20, 2011 12:05 pm

Hello Benji,

Did you check "Enabled" in the AI -> Jetway Settings menu? It should be enabled to have working animated jeyways.

Cheers.
Icecode GL
 
Posts: 525
Joined: Thu Aug 12, 2010 12:17 pm
Location: Spain
Callsign: icecode
Version: GIT
OS: Arch Linux

Re: FlightGear 2.4.0 is released

Postby DutchPilotMitchell » Sat Aug 20, 2011 2:53 pm

My frame rates still SUCK!
Maybe I'll try to downgrade to mac osx snow leopard to see if I can get better frames. If that is is possible anyway..
Proud to be Dutch.
User avatar
DutchPilotMitchell
 
Posts: 719
Joined: Tue Feb 15, 2011 9:10 pm
Location: The Netherlands
Callsign: mitchel
Version: 22
OS: Mac OS X

Re: FlightGear 2.4.0 is released

Postby hvengel » Sat Aug 20, 2011 6:07 pm

mischka wrote in Thu Aug 18, 2011 4:31 pm:
curt wrote in Thu Aug 18, 2011 12:58 pm:The v2.4 aircraft download page is now posted!


It would be good to separate the good planes from the bad ones, rather than putting all planes on a heap. Or rather, to have only planes on the download page that have a working 3d-cockpit incl instruments, a decent fdm, fuselage without holes/seethrough and working autopilot where applicable. In other words: airplanes with a virtual certificate of airworthiness! Therefore, people who are new to FG dont have to wade through a bunch of barely working planes, like I had :roll:

those who want to use experimental airplanes can come to the forum and download them.


I agree that this is still a problem. There are now "standards" in place for how the "Status" should be set for aircraft but it appears that only perhaps 1/4 of the aircraft on the download page have this set and perhaps half of those have it set to values that are not in the standard. See http://wiki.flightgear.org/Formalizing_Aircraft_Status for more details on the standard. The standard sets a very high bar and many of the best models will only get an "early production" status when this system is used. For example the C172P and P-51D JSBSim models have early production statuses. Unfortunately there is no way for users looking at the download page to distinguish between those aircraft that used the new system and those where the status was set based on a subjective guess by the author.

I think the download page should only have aircraft that have a status based on the new system. This would do several things. It would:

1. present users with a list of aircraft that have been rated using a consistent criteria so that they will know what they are downloading.
2. reduce the size (and clutter) of the download page.
3. give aircraft authors an incentive to use the new system.
4. make it simple for aircraft authors to keep immature models off the download page (IE. just don't set the status and it will not be on the download page).

Testing the *-set.xml file for inclusion on the download page should not be difficult. First check to see if there is a <status></status> tag. If not it does not belong on the download page. This alone would remove about 3/4s of the aircraft from the download page most of which are so immature that most users would not be interested in them anyway. Then check to see if if the status is one of the values in the new standard (advanced production, production, early production, beta or alpha). If not it does not belong on the download page. Then check for a <rating> tag. If this is missing then it does not belong on the download page.

IE. properly rated aircraft should have something like this in the *-set.xml file:

<status>early production</status>
<rating>
<FDM type="int">5</FDM>
<systems type="int">4</systems>
<cockpit type="int">3</cockpit>
<model type="int">3</model>
</rating>

Also users wanting to try "experimental airplanes" can get them from GIT.
hvengel
Retired
 
Posts: 1128
Joined: Sun Dec 24, 2006 4:35 am
Location: Minden Nevada

Re: FlightGear 2.4.0 is released

Postby FokkerCharlie » Sat Aug 20, 2011 7:36 pm

Chouchou2570 wrote in Thu Aug 18, 2011 6:03 pm:
turtle wrote in Thu Aug 18, 2011 4:01 pm:@Oliver

or at least get in contact with playdeb (don't think they charge for their services). They did a pretty good job with the new release of supertuxkart.

Good idea. I have send them a mail to inform them of the 2.4.0 release, stay tuned...

Olivier
http://hydroz.net



Coincidentally, I filed a bug with Playdeb requesting an update, and it's now 'Won't Fix', due to an OSG dependency.:

https://bugs.launchpad.net/getdeb.net/+bug/829244

I'm not clever enough to suggest a way around this...

Charlie
FokkerCharlie
 
Posts: 235
Joined: Sun Jun 24, 2007 7:37 pm
Location: UK / Somewhere else!
Version: 2

Re: FlightGear 2.4.0 is released

Postby ThorstenB » Sat Aug 20, 2011 10:02 pm

Chouchou2570 wrote in Thu Aug 18, 2011 6:03 pm:Coincidentally, I filed a bug with Playdeb requesting an update, and it's now 'Won't Fix', due to an OSG dependency.:
https://bugs.launchpad.net/getdeb.net/+bug/829244


The "OSG dependency" claim mentioned in the report there isn't quite true though. We recommend OSG 3.0.1 - since this is the latest stable release and we used it for testing. But the OSG OSG2.8.x stable releases would also work. And current Ubuntu OSG version is 3.0.0 - which would work fine (except for the OSG3.0.0 bugs that were fixed with the OSG3.0.1 patch release, but these aren't our fault).
User avatar
ThorstenB
 
Posts: 160
Joined: Fri Nov 19, 2010 9:49 am
Location: Germany
Callsign: D-TB7
Version: GIT
OS: openSUSE

Re: FlightGear 2.4.0 is released

Postby Canseco » Sat Aug 20, 2011 11:57 pm

I compile FG using openscenegraph 2.8.3-6ubuntu1 avalaible on repos and works stable after testing some aircrafts.

Maybe the mantainer saw dependecies on the wiki, OpenSceneGraph that point to 3.0.1 and think that 2.8.x will not work.
System specs:
AMD Ahtlon 64 X2 Dual Core 2.2 GHz, ASUS M2N4-SLI,3 GB DDR2 800 MHz
Nvidia GT240 1GB 1440x900, 25-30 fps
Canseco
 
Posts: 195
Joined: Wed Jan 06, 2010 12:53 pm
Callsign: Canseco
Version: Git
OS: GNU/Linux

Re: FlightGear 2.4.0 is released

Postby Trez » Sun Aug 21, 2011 1:05 am

curt wrote in Wed Aug 17, 2011 2:21 pm:Image

The v2.4 release is official! Here is a link to the full announcement on the flightgear.org web site:

http://www.flightgear.org/announcements ... -released/

A HUGE THANKS to all the developers and contributors that helped make this new release possible!!!!


wich craft is that?
User avatar
Trez
 
Posts: 437
Joined: Thu Jul 14, 2011 10:50 am
Location: Netherlands
Callsign: Trez
Version: 2.8 GIT
OS: OSX10.8, Mint 14

Re: FlightGear 2.4.0 is released

Postby BrandonF » Sun Aug 21, 2011 1:55 am

I want to give a big thanks to the team! This new version is looking really good. The overall rendering system looks so much improved. Just about as good as Microsoft Flight Simulator 2004 and X combined. :mrgreen: It really is amazing to see a free flight simulator look so good. I can't express this enough. :D

Installing 2.4 now. Can't wait to fly! I do have a question though. Is a 64 bit version available/going to be available?
BrandonF
 
Posts: 7
Joined: Fri Jun 24, 2011 10:51 pm

Re: FlightGear 2.4.0 is released

Postby kyokoyama » Sun Aug 21, 2011 2:14 am

Gotta love FlightGear~
-by the way, that heli is an Eurocopter EC120, and 64bit versions don't exist, since there's no real difference in 32bit and 64bit for FlightGear; it's your processor power and Graphics Card that matters.
Look for "B-BIRD" "N127KY" or "AVA0004" -that's me.

Despite having over 1700 posts here, I am not even close to being the most skilled guy here... I'm just words and bad drawing, not experience. :P
kyokoyama
 
Posts: 1988
Joined: Sun May 03, 2009 2:16 am
Location: Earth
Callsign: B-BIRD, N127KY
Version: 2.12.1
OS: Windows Vista

Re: FlightGear 2.4.0 is released

Postby scighera » Sun Aug 21, 2011 6:36 am

As I said previously, I installed on my PC the release 2.4.0 ... again compliments to the developer !!
But I do have a problem with the ILS of rwy 24R in EDDF Frankfurth ... on my C-2A (which I equipped with an ILS instrument) the AP follows the gauges perfectly both for direction and altitude: the aircraft is perfectly aligned with the rwy and the glideslope; even the new map facility in FG2.4 shows the aircraft perfectly aligned ... the only thing is that the aircraft tend to land some 500-800 m north of the rwy I see in the simulation: on a gohst rwy, parallel to the "real" one.

On rwy 07R the ILS works fine ...

I switched back to FG2.0 for testing: both 24R and 7R ILS work fine ...

Do you have an idea out there ??
Thanks in advance
Paolo
Callsign: I-SCIG
The hangar: http://digilander.libero.it/scighera_fg/index.html
The "happy motorbiker" - http://web.tiscali.it/kclub
User avatar
scighera
 
Posts: 328
Joined: Thu Nov 19, 2009 8:29 am
Location: LIME-Bergamo-Italy
Callsign: scighera
Version: 2dot6
OS: Windows 7

Re: FlightGear 2.4.0 is released

Postby Benji » Sun Aug 21, 2011 8:39 am

Hi, I didn't see the "AI" to check jetways, now it works, but ura=ban effect doesn't work, and I'll post a screenshot...
An other problem ; Before, on 2.0.0, i edited preferences.xml for the screenshots go to a folder... But in preferences.xml of 2.4.0, I don't know how to do that... :(
Benji
 
Posts: 64
Joined: Mon Mar 14, 2011 4:51 pm
Location: LFAD
Callsign: BENJI
Version: 280
OS: Windows Vista

PreviousNext

Return to News

Who is online

Users browsing this forum: No registered users and 1 guest